probe::udp.sendmsg
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::udp.sendmsg — Fires whenever a process sends a UDP message

## Synopsis

    udp.sendmsg

## Values

`daddr`

  A string representing the destination IP address

`saddr`

  A string representing the source IP address

`sock`

  Network socket used by the process

`size`

  Number of bytes sent by the process

`name`

  The name of this probe

`family`

  IP address family

`sport`

  UDP source port

`dport`

  UDP destination port

## Context

The process which sent a UDP message

Prev | Up | Next
probe::udp.recvmsg.return | Home | probe::udp.sendmsg.return